Commet
  • Precios
Iniciar SesiónRegistrarse
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan regional pricing PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Set plan regional pricing

Configure a plan's regional pricing for one currency. USD configures the United States variant; exchangeRate acts as its price multiplier. Sending only currency and exchangeRate derives every regional value (base price, included balance, feature overage, intro offer) from the default USD value. Optional per-price and per-feature overrides are stored as manual values.

PUT
/plans/{id}/regional

Configure a plan's regional pricing for one currency. USD configures the United States variant; exchangeRate acts as its price multiplier. Sending only currency and exchangeRate derives every regional value (base price, included balance, feature overage, intro offer) from the default USD value. Optional per-price and per-feature overrides are stored as manual values.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

currency*string

Value in

  • "usd"
  • "ars"
  • "brl"
  • "clp"
  • "cop"
  • "pen"
  • "uyu"
  • "pyg"
  • "bob"
  • "mxn"
  • "cad"
  • "eur"
  • "jpy"
  • "cny"
  • "krw"
  • "hkd"
  • "sgd"
  • "twd"
  • "inr"
  • "thb"
exchangeRate*number
Range0 < value
prices?array<>
features?array<>
introOffers?array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/plans/string/regional" \  -H "Content-Type: application/json" \  -d '{    "currency": "usd",    "exchangeRate": 1  }'
{  "success": true,  "data": {    "planId": "string",    "currency": "string",    "exchangeRate": 0,    "pricesConfigured": -9007199254740991,    "featuresConfigured": -9007199254740991,    "object": "plan",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Set default price PUT

Set a specific price as the default for its plan. Unsets previous default.

Set plan visibility PUT

Toggle a plan between public and private.